{ config, pkgs, lib, ... }: {

  services.xserver = {
    enable = true;
    desktopManager.xterm.enable = false;
    displayManager = {
      startx.enable = false;
      lightdm.enable = true;
      defaultSession = "none+i3";
    };
    windowManager.i3 = {
      enable = true;
      extraPackages = with pkgs; [
        xdotool # for passmenu
        python37Packages.py3status
        file # TODO: py3status dependencies that should be added to nixpkgs
        i3status
        i3lock
        redshift
        rofi # TODO: add themes to global shared
        feh
        gnome3.networkmanagerapplet
        pulseaudioLight.out
        gnome3.gnome-screenshot
      ];
    };
  };

  # Enable touchpad support.
  services.xserver.libinput.enable = true;

  # i18n
  services.xserver.layout = "ch,de";
  services.xserver.xkbOptions = "eurosign:e";

}
